Skip to content

Unlink Tickets.

POST
/api/ml/data/namespaces/{namespace}/virtual_hosts/{name}/unlink_tickets
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/unlink_tickets \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "label_filter": "example", "name": "example", "namespace": "example", "ticket_uid": "example" }'

Remove the Ticket from vulnerability in XC platform External ticket systems will continue to have the record.

Examples of this operation.

namespace
required
string

Namespace

x-required Namespace for the ticket.

name
required
string

Virtual Host Name

x-required Virtual Host name for current request.

Media typeapplication/json
UnlinkTicketsRequest
object
label_filter
label_filter

Exclusive with [ticket_uid] A LabelSelectorType expression for targetting which tickets to unlink.

string
<= 8096 characters
name
Virtual Host Name

Virtual Host name for current request Required: YES.

string
>= 6 characters <= 256 characters
namespace
namespace

Namespace for the ticket

Required: YES.

string
>= 6 characters <= 256 characters
ticket_uid
Ticket UID

Exclusive with [label_filter] The UID of the tickets to be unlinked.

string
<= 128 characters
Examplegenerated
{
"label_filter": "example",
"name": "example",
"namespace": "example",
"ticket_uid": "example"
}

A successful response.

Media typeapplication/json
UnlinkTicketsResponse
object
errors
errors

Errors related to ticket unlink.

Array<object>
ErrorType

Information about a error in API operation.

object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
Example
{
"errors": [
{
"code": "EOK"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example